Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: Templates
Target version: 1.7.5
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1122737 Red Hat JIRA:
Pull request: https://github.com/theforeman/communit
y-templates/pull/95

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1122737

Description of problem:

Using a kickstart with idm_register snippet for RHEL 7 causes the host to hang for about 20 minutes after hitting "Welcome to Red
Hat Enterprise Linux 7.0 (Maipo)!

The snippet seems to be doing a lot more than the freeipa_register snippet, which is fulfilling a similar purpose, though the
freeipa_register snippet is quite a bit smaller and doesn't break the RHEL 7 install.

Version-Release number of selected component (if applicable):
Satellite 6.0.3 Beta
ruby193-rubygem-katello-1.5.0-65.el6sat.noarch

How reproducible:
Always, | had several failures while trying to figure out what was going wrong. Eventually getting rid of the idm_register snippet fixed
the problem. Adding freeipa_register did not cause any issues and did what was expected

Steps to Reproduce:
1. Install Satellite 6 Beta
2. Try to provision a RHEL 7 system using the idm_register snippet to register to an IPA server

Actual results:
System has a very long delay in boot after hitting Welcome to Red Hat Enterprise Linux 7.0 (Maipo)! message in the boot process.

Expected results:
System boots normally.

Additional info:
idm_register snippet does work fine with RHEL 6.5, but so does the freeipa_register snippet.

Associated revisions

Revision 7034708 - 07/28/2014 01:36 PM - Stephen Benjamin
fixes #6799 - Workaround for domainname service on RHEL 7 (BZ1071969)

Revision f6b5cdef - 08/06/2014 05:32 AM - Dominic Cleal
Merge pull request #95 from stbenjam/6799-fix-rhel-7

fixes #6799 - Workaround for domainname service on RHEL 7 (BZ1071969)

History

#1 - 07/29/2014 03:18 AM - Dominic Cleal
- Category set to Templates

- Status changed from New to Ready For Testing
https://bugzilla.redhat.com/show_bug.cgi?id=1122737

- Target version set to 1.8.0
- Pull request https://github.com/theforeman/community-templates/pull/95 added
- Pull request deleted ()

Please note that community-templates doesn't require redmine tickets.

#2 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#3 - 08/06/2014 05:33 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
